## apcalc 2.12.7.2

=== debian/changelog ===
apcalc (2.12.7.2-2) unstable; urgency=low

  * Re-enable filepos patch, still required on mips to avoid FTBFS.
    Closes: #919397
  * Properly honor CPPFLAGS and LDFLAGS, also for intermediate binaries.
    Avoids dpkg-buildflags-missing build log checker warning.

 -- Martin Buck <mbuck@debian.org>  Mon, 14 Jan 2019 00:50:42 +0100

apcalc (2.12.7.2-1) unstable; urgency=medium

  * New upstream release
    - Don't hardcode location of standard C headers. Closes: #909965
  * Drop obsolete Debian-specific patch (filepos handling)
  * Add missing dependencies on sensible-utils
  * Switch to debhelper compatibility level 10
  * Upgrade to Standards-Version 4.3.0:
    - Replace Debian menu file with FreeDesktop entry

 -- Martin Buck <mbuck@debian.org>  Fri, 04 Jan 2019 00:35:02 +0100
