=== debian/control ===
Source: apcalc
Section: math
Priority: optional
Maintainer: Martin Buck <mbuck@debian.org>
Standards-Version: 4.3.0
Build-Depends: libreadline-dev, debhelper (>= 10), gcc (>= 4:4.1.1-7), bsdmainutils, groff-base
Homepage: http://www.isthe.com/chongo/tech/comp/calc/

Package: apcalc
Section: math
Architecture: any
Depends: apcalc-common (= ${source:Version}), sensible-utils, ${shlibs:Depends}, ${misc:Depends}
Description: Arbitrary precision calculator (original name: calc)
 Calc is an arbitrary precision arithmetic system that uses a C-like
 language. Calc is useful as a calculator, an algorithm prototyper and as a
 mathematical research tool. More importantly, calc provides one with a
 machine independent means of computation. Calc comes with a rich set of
 builtin mathematical and programmatic functions.
 .
 Calc is built on top of the library libcalc that represents numeric values
 as fractions reduced to their lowest terms. This library can also be used
 to add arbitrary precision capabilities to your own programs and is
 available in the Debian package `apcalc-dev'.
 .
 The original name of this package is `calc', but it had to be changed to
 `apcalc' for Debian, because there's already another package called `calc'
 in Debian. Nevertheless, the binary and manpage installed by this package
 are still named `calc'.

Package: apcalc-common
Section: math
Architecture: all
Depends: ${misc:Depends}
Replaces: apcalc
Description: Arbitrary precision calculator (common files)
 Calc is an arbitrary precision arithmetic system that uses a C-like
 language. Calc is useful as a calculator, an algorithm prototyper and as a
 mathematical research tool. More importantly, calc provides one with a
 machine independent means of computation. Calc comes with a rich set of
 builtin mathematical and programmatic functions.
 .
 This package contains architecture independent files required by the main
 package `apcalc'.

Package: apcalc-dev
Section: devel
Architecture: any
Depends: libc6-dev, sensible-utils, ${misc:Depends}
Suggests: apcalc
Description: Library for arbitrary precision arithmetic
 This package contains the library libcalc.a and the necessary header files
 which provide routines to handle arbitrary precision arithmetic with
 integers, rational numbers, or complex numbers. There are also many numeric
 functions such as factorial and gcd, along with some transcendental
 functions such as sin and exp.
 .
 This library is also used by the commandline calculator `calc', which is
 provided in the Debian package `apcalc'.
